<?xml version="1.0"?>

<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:ct="http://www.chartistjsf.org/charts"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	<!-- NO LONGER IN USE! -->
	<h:head>
		<h:outputStylesheet library="css" name="newIdeaTab.css" />
	</h:head>
	<h:body>
		<h:form id ="ideaInputForm" enctype="multipart/form-data">
			<p:panel id="ideaInputPanel" header="New Idea">
				<p:messages id="msgs" />
				<h:panelGrid id="ideaInputGrid" columns="2" cellpadding="10" >
					<h:outputText value="Title" />
					<p:inputText id="title" value="#{ideaInputBean.title}" required="true">
					</p:inputText>
					<h:outputText value="Short Description" />
					<p:inputText id="short" value="#{ideaInputBean.shortDescription}"
						required="true"></p:inputText>
					<h:outputText value="Description" />
					<p:inputTextarea rows="10" cols="40" id="desc"
						value="#{ideaInputBean.description}" counter="counterDisplay"
						maxlength="4000" counterTemplate="{0} characters remaining."
						required="true" />
					<div align="right">
					<h:outputText id="counterDisplay" />
					</div>
						<p:fileUpload id="fileUpload" fileUploadListener="#{ideaInputBean.upload}" mode="advanced" dragDropSupport="true"
          						sizeLimit="100000" allowTypes="/(\.|\/)(gif|jpe?g|png)$/"/>
				</h:panelGrid>
				<p:separator />
				<center>
					<p:commandButton value="Submit" id="submitBtn" actionListener="#{ideaInputBean.save()}" styleClass="ui-priority-primary">
						 </p:commandButton>
				</center>
			</p:panel>
		</h:form>
	</h:body>
</f:view>